Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.cache.pojo.notification.event
Enum ListModifiedEvent.Operation

    java.lang.Object
      java.lang.Enum<ListModifiedEvent.Operation>
          org.jboss.cache.pojo.notification.event.ListModifiedEvent.Operation

All Implemented Interfaces:
  Serializable, Comparable<ListModifiedEvent.Operation>

Enclosing class:
  ListModifiedEvent

    public static enum ListModifiedEvent.Operation

extends Enum<ListModifiedEvent.Operation>

Enum Constant Summary
`ADD`
`REMOVE`
`SET`

Method Summary
`static ListModifiedEvent.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ListModifiedEvent.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final ListModifiedEvent.Operation ADD

### SET

    public static final ListModifiedEvent.Operation SET

### REMOVE

    public static final ListModifiedEvent.Operation REMOVE

Method Detail

### values

    public static final ListModifiedEvent.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ListModifiedEvent.Operation c : ListModifiedEvent.Operation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ListModifiedEvent.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.